package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag70Creator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag70Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag70Value = MT101AbsCreator.getRemittanceInformation();
        MT101AbsCreator.set("70", tag70Value);
    }
}